<template>
  <footer class='base-footer'>
    <div class='container'>
      <div class='base-footer__container'>
        <div class='base-footer__nav'>
          <ul>
            <li><nuxt-link :to='localePath("/")'>{{ $t('Token') }}</nuxt-link></li>
            <li><nuxt-link :to='localePath("/app")'>{{ $t('App') }}</nuxt-link></li>
            <li><nuxt-link :to='localePath("/hub")'>{{ $t('Hub') }}</nuxt-link></li>
            <li><a href='https://www.tbcc.com/' target='_blank'>{{ $t('Exchange') }}</a></li>
            <li><a href='/'>{{ $t('TermsOfUse') }}</a></li>
            <li><a href='/'>{{ $t('PrivacyPolicy') }}</a></li>
            <li><a href='/'>{{ $t('RiskDisclousure') }}</a></li>
          </ul>
        </div>
        <div class='base-footer__actions actions'>
          <div class='actions__left'>
            <div class='actions__community'>
              <p>{{ $t('Community') }}</p>
              <div class='actions__community-list'>
                <a href='https://www.instagram.com/tbcc_token_global/' target="_blank">
                  <span class='visually-hidden'>tbcc instagram</span>
                  <icon-instagram />
                </a>
                <a href='https://t.me/tbccglobal' target="_blank">
                  <span class='visually-hidden'> tbcc telegram</span>
                  <icon-telegram />
                </a>
                <a href='https://www.facebook.com/TBCC.lab' target="_blank">
                  <span class='visually-hidden'>tbcc facebook</span>
                  <icon-facebook />
                </a>
                <a href='https://twitter.com/TBCC_ex' target="_blank">
                  <span class='visually-hidden'>tbcc twitter</span>
                  <icon-twitter />
                </a>
              </div>
            </div>
            <div class='actions__app'>
                <a href='https://apps.apple.com/us/app/tbcc/id1592692399' target='_blank'>
                  <base-button aria-label='download ios app'>
                    <icon-ios :fill='"#FFFFFF"' />
                  </base-button>
                </a>
                <a href='https://play.google.com/store/apps/details?id=com.cloud.tbcc.app&hl=ru&gl=US' target='_blank'>
                  <base-button aria-label='download android app'>
                    <icon-android :fill='"#FFFFFF"' />
                  </base-button>
                </a>
            </div>
          </div>
          <div class='base-footer__nav base-footer__nav-mobile'>
            <a href='/'>{{ $t('TermsOfUse') }}</a>
            <a href='/'>{{ $t('PrivacyPolicy') }}</a>
            <a href='/'>{{ $t('RiskDisclousure') }}</a>
          </div>
          <div class='actions__right'>
            <p>
              TBCC Labs LTD<br/>
              221946<br/>
              Global Gateway, 8, Rue de la Perle,<br/>
              Providence, Mahe, Seychelles<br/>
            </p>
            <a href = "mailto: info@tbcc.com">info@tbcc.com</a>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
import IconIos from '../icon/IconIos'
import IconAndroid from '../icon/IconAndroid'
import IconInstagram from '../icon/IconInstagram'
import IconTelegram from '../icon/IconTelegram'
import IconFacebook from '../icon/IconFacebook'
import IconTwitter from '../icon/IconTwitter'
import BaseButton from './BaseButton'

export default {
  components: { IconTwitter, IconFacebook, IconTelegram, IconInstagram, IconAndroid, IconIos, BaseButton }
}
</script>

<i18n>
{
  "en": {
    "Token": "Token",
    "App": "App",
    "Hub": "Hub",
    "Exchange": "Exchange",
    "TermsOfUse": "Terms of use",
    "PrivacyPolicy": "Privacy policy",
    "RiskDisclousure": "Privacy policy",
    "Community": "Community"
  },
  "ch": {
    "Token": "代币",
    "App": "应用",
    "Hub": "枢纽",
    "Exchange": "交易",
    "TermsOfUse": "使用条款",
    "PrivacyPolicy": "隐私政策",
    "RiskDisclousure": "风险披露",
    "Community": "社区"
  },
  "tur": {
    "Token": "Token",
    "App": "App",
    "Hub": "Hub",
    "Exchange": "Exchange",
    "TermsOfUse": "Terms of use",
    "PrivacyPolicy": "Privacy policy",
    "RiskDisclousure": "Privacy policy",
    "Community": "Community"
  }
}
</i18n>


<style lang='scss' scoped>

.base-footer {
  background: #051345;
  padding-bottom: 78px;
  position: relative;

  &__container {
    border-top: 2px solid #0E1B4E;
    border-bottom: 2px solid #0E1B4E;
    display: flex;
    position: relative;
    flex-direction: column;
    padding: 50px 0 35px;
    max-width: 320px;
    margin: 0 auto;

    @media (min-width: 768px) {
      border-top: unset;
      flex-direction: row;
      max-width: unset;
      padding: 50px 0;
    }

    &::after {
      content: "TBCC © 2022";
      position: absolute;
      bottom: -46px;
      left: 50%;
      transform: translateX(-50%);
      font-weight: 500;
      font-size: 14px;
      line-height: 16px;
      color: #6983AB;
    }
  }

  &__nav,
  &__actions {
    width: 100%;
    max-width: 100%;

    @media (min-width: 768px) {
      width: 50%;
      max-width: 50%;
    }
  }

  &__nav {
    ul {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 0;
      margin: 0;
      list-style: none;

      @media (min-width: 768px) {
        display: block;
        -webkit-columns: 3;
        -moz-columns: 3;
        -moz-column-count: 3;
        column-count: 3;
      }

      @media (max-width: 767px) {
        max-width: 317px;
        margin: 0 auto 20px;
      }
    }

    li {
      @media (max-width: 767px) {
        margin-bottom: 40px;

        &:nth-last-child(-n+3) {
          display: none;
        }
      }
      @media (min-width: 768px) {
        margin-bottom: 50px;
      }
    }

    a {
      font-weight: 500;
      font-size: 14px;
      line-height: 125%;
      color: #6983AB;

      @media (max-width: 767px) {
        font-size: 16px;
      }
    }
  }

  &__nav-mobile {
    display: none;
    @media (max-width: 767px) {
      display: flex;
      justify-content: space-around;
      max-width: 345px;
      padding-top: 50px;
    }

    a {
      font-size: 14px;
    }
  }
}

.actions {
  display: flex;
  flex-direction: column;
  align-items: center;

  @media (min-width: 768px) {
    flex-direction: row;
    align-items: flex-start;
  }

  &__left {
    @media (min-width: 768px) {
      flex: 0 0 50%;
      max-width: 50%;
      padding-left: 10px;
    }

    p {
      font-weight: 700;
      font-size: 16px;
      line-height: 125%;
      color: #FFFFFF;
      margin: 0 0 26px;

      @media (min-width: 768px) {
        font-size: 14px;
      }
    }
  }

  &__right {
    display: flex;
    flex-direction: column;
    align-items: center;

    @media (min-width: 768px) {
      flex: 0 0 50%;
      max-width: 50%;
      align-items: flex-start;
      padding-left: 10px;
    }

    p {
      margin: 0;

      @media (max-width: 767px) {
        margin: 35px 0 0;
        text-align: center;
      }
    }

    p, a {
      font-size: 14px;
      line-height: 28px;
      color: #6983AB;
      opacity: 0.6;
    }
  }

  &__app,
  &__community {
    @media (max-width: 767px) {
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  }

  &__app {
    @media (max-width: 767px) {
      display: flex;
      align-items: center;
      width: 100%;
      flex-direction: row;
    }


    button {
      background: #505E8C;
      padding: 12px 28px;

      @media (max-width: 767px) {
       min-width: 126px;
        justify-content: center;
      }

      @media (min-width: 768px) {
        margin-top: 26px;
      }
    }

    a:first-child {
      margin-right: 14px;
    }

    svg {
      width: 15px;
      height: 18px;
    }
  }

  &__community {
    @media (max-width: 767px) {
      margin-bottom: 40px;
    }

    a:not(:last-child) {
      @media (min-width: 768px) {
        margin-right: 30px;
      }

      @media (min-width: 1024px) {
        margin-right: 37px;
      }
    }
  }

  &__community-list {
    display: flex;
    min-height: 42px;
    align-items: center;

    @media (max-width: 767px) {
      width: 272px;
      justify-content: space-between;
    }
  }
}

</style>
